Package org.eclipse.rdf4j.query

## Class UpdateExecutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.rdf4j.common.exception.RDF4JException
        - - org.eclipse.rdf4j.query.UpdateExecutionException

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `HTTPUpdateExecutionException`

      public class UpdateExecutionException
      extends RDF4JException

  An exception indicating that the execution of an update failed.
  Author:
    Jeen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UpdateExecutionException()` |
    `UpdateExecutionException​(String msg)` | Creates a new UpdateExecutionException.
    `UpdateExecutionException​(String msg, Throwable cause)` | Creates a new `UpdateExecutionException` wrapping another exception.
    `UpdateExecutionException​(Throwable cause)` | Creates a new `UpdateExecutionException` wrapping another exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateExecutionException

          public UpdateExecutionException()

    - #### UpdateExecutionException

          public UpdateExecutionException​(String msg)

      Creates a new UpdateExecutionException.
      Parameters:
        `msg` - An error message.

    - #### UpdateExecutionException

          public UpdateExecutionException​(Throwable cause)

      Creates a new `UpdateExecutionException` wrapping another exception.
      Parameters:
        `cause` - the cause of the exception

    - #### UpdateExecutionException

          public UpdateExecutionException​(String msg,
                                          Throwable cause)

      Creates a new `UpdateExecutionException` wrapping another exception.
      Parameters:
        `msg` - and error message.
        `cause` - the cause of the exception